Index: WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTool.py	(revision 2118)
+++ WAeUP_SRP/trunk/WAeUPTool.py	(revision 2119)
@@ -213,5 +213,5 @@
                     t_max = t_per
                 if t_per > 0.0 and t_per < t_min:
-                    t_min = t_per                    
+                    t_min = t_per
                 itf = 0.0
                 if found:
@@ -220,6 +220,6 @@
                 if not_found :
                     itnf = time_not_found / not_found
-                interval_time = time_found + time_not_found 
-                s = "%(c)d: %(found)d/%(not_found)d " % vars() 
+                interval_time = time_found + time_not_found
+                s = "%(c)d: %(found)d/%(not_found)d " % vars()
                 s += "%(interval_time)6.2f %(itf)6.4f/%(itnf)6.4f " % vars()
                 s += "%(t_min)6.4f/%(t_max)6.4f" %  vars()
@@ -241,5 +241,5 @@
             itnf = t_time_not_found / t_not_found
         #c_elapse = time.clock() - c_elapse
-        s = "%(probe)d: %(t_found)d/%(t_not_found)d " % vars() 
+        s = "%(probe)d: %(t_found)d/%(t_not_found)d " % vars()
         s += "%(elapse)6.2f %(itf)6.4f/%(itnf)6.4f " % vars()
         s += "%(t_min)6.4f/%(t_max)6.4f" %  vars()
@@ -687,8 +687,8 @@
     def showFsPicture(self,path):
         """return a picture from the filesystem"""
-        picture_path = "%s/var/%s" % (i_home,path)
+        picture_path = "%s/import/%s" % (i_home,path)
         if os.path.exists(picture_path):
             return open(picture_path).read()
-        
+
     ###)
 
Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 2118)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 2119)
@@ -1389,5 +1389,5 @@
                 if self.isStudent():
                     err = "This is only for Pume application."
-                    s_logger.info('%s/%s applied for PUME with PIN %s' % (s_id,ref,pin_str))
+                    s_logger.info('%s/%s applied for screening test with PIN %s' % (s_id,ref,pin_str))
                     break
                 else:
@@ -1400,7 +1400,7 @@
                         getattr(self,self.catalog).modifyRecord(**d)
                     elif applicant.pin != pin_str:
-                        s_logger.info('%s/%s repeatedly applied for PUME with different PIN %s' % (s_id,ref,pin_str))
+                        s_logger.info('%s/%s tried to enter application record with different PIN %s' % (s_id,ref,pin_str))
                     elif applicant.pin == pin_str:
-                        s_logger.info('%s/%s repeatedly applied for PUME with PIN %s' % (s_id,ref,pin_str))
+                        s_logger.info('%s/%s repeatedly entered application record with PIN %s' % (s_id,ref,pin_str))
             break
         if err:
@@ -1491,5 +1491,5 @@
     )
     path = "images"
-    storage_path = "%s/var/%s" % (i_home,path)
+    storage_path = "%s/import/%s" % (i_home,path)
     id_field = "reg_no"
 
@@ -1558,4 +1558,7 @@
             mimetype = ''
             last_modified = ''
+            height = ''
+            width = ''
+            
         else:
             image = open(file_path)
@@ -1570,5 +1573,5 @@
             mimetype, width, height = gia(data)
             #import pdb;pdb.set_trace()
-            
+
             if width < 0:
                 width = None
Index: WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2118)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2119)
@@ -325,20 +325,20 @@
   </widget>
   <widget name="passport" meta_type="No Zodb Image Widget">
-    <property name="title">Passport</property>
+    <property name="title">Passport Photograph</property>
     <property name="fields">
       <element value="passport"/>
     </property>
     <property name="is_required">False</property>
-    <property name="label">Passport</property>
-    <property name="label_edit">Passport</property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="size_max">50000</property>
+    <property name="label">Passport Photograph</property>
+    <property name="label_edit">Passport Photograph</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="size_max">20000</property>
     <property name="display_external_editor">False</property>
     <property name="display_width">100</property>
-    <property name="display_height">200</property>
+    <property name="display_height">150</property>
   </widget>
   <widget name="phone" meta_type="String Widget">
Index: WAeUP_SRP/trunk/skins/waeup_default/widget_passport_render.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/widget_passport_render.pt	(revision 2118)
+++ WAeUP_SRP/trunk/skins/waeup_default/widget_passport_render.pt	(revision 2119)
@@ -36,7 +36,5 @@
         <metal:block fill-slot="change_file">
           <input type="file" name="." size="24"
-                 tal:attributes="name name;
-                 onclick string:document.getElementById('${radio_name}_change').checked='checked'" 
-                 />
+                 tal:attributes="name name;"/>
           <tal:block condition="python:1">
             <input type="hidden" value="img_auto_size" 
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_pume.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_pume.py	(revision 2118)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_pume.py	(revision 2119)
@@ -19,4 +19,7 @@
 
 import DateTime
+import logging
+logger = logging.getLogger('Skins.apply_pume')
+
 current = DateTime.DateTime()
 pr = context.portal_registration
@@ -55,7 +58,10 @@
             submitted = True
         if not create and pin != object['pin']:
+            logger.info('%s entered wrong pin %s' % (reg_no,pin))
             return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 if slip:
     mode = "view_slip"
+    logger.info('%s views application slip' % (reg_no))
+    
 res,psm,ds = lt.renderLayout(layout_id= 'application',
                              schema_id= 'application',
@@ -101,4 +107,5 @@
         mode = "view"
         psm = "The form has already been submitted and you are not allowed to resubmit the data!"
+        logger.info('%s tried to resubmit application record' % (reg_no))
         res,psm_dummy,ds_dummy = lt.renderLayout(layout_id= 'application',
                                 schema_id= 'application',
@@ -112,4 +119,5 @@
         mode = "edit"
         psm = "Please confirm Passport Photograph!"
+        logger.info('%s tried to submit without ticking confirmation check box' % (reg_no))
     else:
         mode = "view"
@@ -118,4 +126,5 @@
         data['status'] = "submitted"
         context.applicants_catalog.modifyRecord(**data)
+        logger.info('%s modified and submitted application record' % (reg_no))
         res,psm_dummy,ds = lt.renderLayout(layout_id= 'application',
                                 schema_id= 'application',
@@ -129,6 +138,8 @@
     if submitted:
         mode = "view"
+        logger.info('%s views application record' % (reg_no))
     else:
         mode = "edit"
+        logger.info('%s edits application process' % (reg_no))
     psm = ""
     #set_trace()
@@ -147,4 +158,5 @@
         mode = "view"
         psm = "The form has already been submitted and you are not allowed to modify the data!"
+        logger.info('%s tried to edit submitted application record' % (reg_no))
         res,psm_dummy,ds_dummy = lt.renderLayout(layout_id= 'application',
                                 schema_id= 'application',
@@ -160,4 +172,5 @@
         data['status'] = "edited"
         context.applicants_catalog.modifyRecord(**data)
+        logger.info('%s modified application record' % (reg_no))
 
 
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_pume_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_pume_slip.pt	(revision 2118)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_pume_slip.pt	(revision 2119)
@@ -13,5 +13,6 @@
         <br />
         <div tal:replace="structure rendered_main" />
-        Please ensure that you come to the screening venus with a copy of this slip.
+        Please check for your screening venue at any of the UNIBEN entry gates or
+        at the Sports Complex and come to the screening venue with a copy of this slip.  
       </metal:block>
     </metal:block>