Index: /WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 2132)
+++ /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 2133)
@@ -169,5 +169,5 @@
               title="Unchecked" priority="6"
               icon_expr="actionicon_reject.png"/>
-              
+
  <action-icon category="navigation" action_id="home"
               title="Home" priority="0"
@@ -188,5 +188,5 @@
  <action-icon category="navigation"
               action_id="view_documents" title="Documents"
-              priority="5" icon_expr="blank.gif"/>        
+              priority="5" icon_expr="blank.gif"/>
  <action-icon category="navigation" action_id="contact_admin"
               title="Contact" priority="6"
@@ -227,27 +227,30 @@
               title="Logout" priority="1"
               icon_expr="actionicon_logout.png"/>
+ <action-icon category="student" action_id="apply_pume"
+              title="Apply for PUME" priority="11"
+              icon_expr="bell.png"/>
  <action-icon category="student" action_id="display_pume_results"
-              title="Display PUME Results" priority="2"
+              title="Display PUME Results" priority="3"
               icon_expr="zoom.png"/>
  <action-icon category="student" action_id="display_pde_results"
-              title="Display PDE Results" priority="3"
+              title="Display PDE Results" priority="4"
               icon_expr="zoom.png"/>
  <action-icon category="student" action_id="display_cest_results"
-              title="Display CEST Results" priority="4"
+              title="Display CEST Results" priority="5"
               icon_expr="zoom.png"/>
  <action-icon category="student" action_id="check_admission"
-              title="Check if admitted" priority="5"
+              title="Check if admitted" priority="6"
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="display_session_results"
-              title="Display Session Results" priority="6"
+              title="Display Session Results" priority="7"
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="firsttime_login"
-              title="Register for Previous Sessions" priority="7"
+              title="Register for Previous Sessions" priority="8"
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="request_transfer"
-              title="Request Transfer" priority="8"
+              title="Request Transfer" priority="9"
               icon_expr="arrow_switch.png"/>
  <action-icon category="student" action_id="change_password"
-              title="Change Password" priority="9"
+              title="Change Password" priority="10"
               icon_expr="actionicon_user_preferences.png"/>
 
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 2132)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 2133)
@@ -92,5 +92,5 @@
   </action>
   <action title="Documents" action_id="view_documents" category="navigation"
-     condition_expr="python:portal.campus.documents.isSectionOfficer()" 
+     condition_expr="python:portal.campus.documents.isSectionOfficer()"
      url_expr="string:${portal_url}/campus/documents"
      visible="True">
@@ -117,30 +117,30 @@
    <permission>Modify portal content</permission>
   </action>
-  <action title="Apply for PUME" action_id="apply_admission"
-     category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/apply_admission" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="View PUME Results" action_id="display_pume_results"
+  <action title="PUME Screening 07/08" action_id="apply_pume"
+     category="student" condition_expr="not:member"
+     url_expr="string:${portal_url}/apply_pume" visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="PUME Results 06/07" action_id="display_pume_results"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/display_pume_results" visible="True">
    <permission>View</permission>
   </action>
-  <action title="View PDE Results" action_id="display_pde_results"
+  <action title="PDE Results 06/07" action_id="display_pde_results"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/display_pde_results" visible="True">
    <permission>View</permission>
   </action>
-  <action title="View CEST Results" action_id="display_cest_results"
+  <action title="CEST Results 06/07" action_id="display_cest_results"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/display_cest_results" visible="True">
    <permission>View</permission>
   </action>
-  <action title="Check Admission" action_id="check_admission"
+  <action title="Check Admission 06/07" action_id="check_admission"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/check_admission" visible="True">
    <permission>View</permission>
   </action>
-  <action title="Return 2006/2007" action_id="display_session_results"
+  <action title="Return 06/07" action_id="display_session_results"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/display_session_results" visible="True">
Index: /WAeUP_SRP/trunk/skins/waeup_default/getSessionId.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/getSessionId.py	(revision 2132)
+++ /WAeUP_SRP/trunk/skins/waeup_default/getSessionId.py	(revision 2133)
@@ -17,5 +17,5 @@
 import DateTime
 now = DateTime.DateTime()
-if now.month() > 8:
+if now.month() > 11:
     s = "%s" % now.year()
 else:
Index: /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 2132)
+++ /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 2133)
@@ -122,5 +122,5 @@
         <tr>
           <td style="width: 20px;" valign="top"></td>
-          <td style="width: 160px;text-align: center;"
+          <td style="width: 170px;text-align: center;"
               valign="top">
             <div id="portal_session" style="padding: 0.4em 0.4em 0.4em 0.3em;"
@@ -160,5 +160,5 @@
         <tr>
           <td style="width: 20px;" valign="top"></td>
-          <td style="width: 160px;text-align: left;"
+          <td style="width: 170px;text-align: left;"
               class="colorBarColor fontColornavigation fontShapeaverage boxShapenavbox cpsskinsBox" valign="top">
             <div id="staff_actions_slot" class="body" style="padding: 1.5em 0.5em 1.5em 0.5em;">
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 2132)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 2133)
@@ -82,5 +82,5 @@
         if next_session == context.getSessionId()[-2:]:
             wftool.doActionFor(student,'pay_school_fee')
-        else:
+        if int(session) <  6:
             study_course = getattr(student,'study_course')
             try:
Index: /WAeUP_SRP/trunk/skins/waeup_student/get_levels_voc.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/get_levels_voc.py	(revision 2132)
+++ /WAeUP_SRP/trunk/skins/waeup_student/get_levels_voc.py	(revision 2133)
@@ -1,3 +1,3 @@
-##parameters=key=None 
+##parameters=key=None
 # $Id$
 """
@@ -9,4 +9,4 @@
 if not int(key) % 100:
     return "Level %s" % key
-return "Repeat Level %s0" % key[:-1]
+return "Level %s0 (on probation)" % key[:-1]
 