Index: WAeUP_SRP/trunk/profiles/default/layouts/application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2139)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application.xml	(revision 2140)
@@ -337,5 +337,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="size_max">20000</property>
+    <property name="size_max">20480</property>
     <property name="display_external_editor">False</property>
     <property name="display_width">100</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml	(revision 2139)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml	(revision 2140)
@@ -34,6 +34,6 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
+  <property name="display_width">13</property>
+  <property name="size_max">13</property>
   <property name="catalog">returning_import</property>
   <property name="reference">student</property>
Index: WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 2139)
+++ WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 2140)
@@ -37,5 +37,5 @@
               <a tal:condition="pin/student_url" href="" tal:content="pin/student"
                  tal:attributes="href pin/student_url"></a>
-              <span tal:condition="not: pin/student_url" tal:content="pin/student" />
+              <span tal:condition="python: not pin['student_url'] and not pin['student'].startswith('disabled')" tal:content="pin/student" />
             </td>
           </tr>
Index: WAeUP_SRP/trunk/skins/waeup_pins/pins_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/pins_view.pt	(revision 2139)
+++ WAeUP_SRP/trunk/skins/waeup_pins/pins_view.pt	(revision 2140)
@@ -25,8 +25,8 @@
             <td tal:content="pin/pin" />
             <td tal:content="pin/student_id" />
-            <td tal:condition="pin/student_url">
+            <td>
               <a tal:condition="pin/student_url" href="" tal:content="pin/student"
                  tal:attributes="href pin/student_url"></a>
-              <span tal:condition="not: pin/student_url" tal:content="pin/student" />
+              <span tal:condition="python: not pin['student_url'] and not pin['student'].startswith('disabled')" tal:content="pin/student" />
             </td>
           </tr>
Index: WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py	(revision 2139)
+++ WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py	(revision 2140)
@@ -64,12 +64,13 @@
             else:
                 item['pin'] = "%s%s****%s" % (i.prefix_batch,pin[-10:-7],pin[-3:])
-        if len(sno)==10 or '/' in sno:
+        
+        if sno.startswith('disabled'):
+            item['student_url'] = None
+            item['student_id'] = sno
+        elif len(sno)==10 or '/' in sno:
             #res = context.portal_catalog(SearchableText=sno,portal_type='StudentApplication')
             res = context.students_catalog(jamb_reg_no=sno.upper())
             if len(res) > 0:
-                if sno.startswith('disabled'):
-                    item['student_url'] = None
-                else:
-                    item['student_url'] = "%s/campus/students/%s/application" % (context.portal_url(),res[0].id)
+                item['student_url'] = "%s/campus/students/%s/application" % (context.portal_url(),res[0].id)
                 item['student_id'] = res[0].id
             else:
@@ -77,10 +78,6 @@
                 item['student_id'] = ''
         elif sno:
-            if sno.startswith('disabled'):
-                item['student_url'] = None
-                item['student_id'] = ''
-            else:
-                item['student_url'] = '%s/campus/students/%s' % (context.portal_url(),item['student'])
-                item['student_id'] = item['student']
+            item['student_url'] = '%s/campus/students/%s' % (context.portal_url(),item['student'])
+            item['student_id'] = item['student']
         else:
             item['student_url'] = ''