Index: WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 2135)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 2151)
@@ -48,9 +48,13 @@
 info = {}
 is_so = info['is_so'] = context.isSectionOfficer()
+is_student = info['is_student'] = context.isStudent()
+info['student_name'] = s_brain.name
 info['query_url'] = "https://webpay.interswitchng.com/paydirect/services/TransactionQueryURL.aspx"
-info['prod_id'] = '61'
-#res = context.portal_catalog(portal_type='Student',id = student_id)
-#res = context.students_catalog(id = student_id)
-info['review_state'] = s_brain.review_state
+review_state = info['review_state'] = s_brain.review_state
+if s_brain.mode.endswith('_ft'):
+    online_payment = True
+else:
+    online_payment = review_state == 'cleared_and_validated'
+info['online_payment'] = online_payment
 session = s_brain.session
 info['next_session'], info['next_session_str'] = context.getNextSessionId(session)
Index: WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 2135)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 2151)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=faculty=None, session=None
+##parameters=brain=None
 ##title=
 ##
@@ -27,4 +27,153 @@
                 '06': ('22200','23700'),
                 }
+pt_fees = {
+           "DIF": {'new': "32200",
+                   'returning': "17700",
+                   'description': 'Diploma in French'},
+           "DTA": {'new':"34200",
+                   'returning':"19700",
+                  'description': 'Diploma in Theatre Arts'},
+           "DISD": {'new':"42200",
+                    'returning':"27700",
+                   'description': 'Diploma in International Studies'},
+           "DFA": {'new':"34200",
+                   'returning':"19700",
+                  'description': 'Diploma in Fine & Applied Arts'},
+           "DAE": {'new':"41700",
+                   'returning':"25700",
+                  'description': 'Diploma in Agric Economics'},
+           "DFS": {'new':"38700",
+                   'returning':"22700",
+                  'description': 'Diploma in Fishery, Forestry & Wild Life'},
+           "DFBS": {'new':"38700",
+                    'returning':"22700",
+                   'description': 'Diploma in Food & Breweries'},
+           "DIA": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Diploma in Accounting'},
+           "DBF": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Diploma in Banking & Finance'},
+           "DAIC": {'new':"38700",
+                    'returning':"22700",
+                   'description': 'Diploma in Applied Industrial Chemistry'},
+           "DAM": {'new':"38700",
+                   'returning':"22700",
+                  'description': 'Diploma in Applied Microbiology'},
+           "DIG": {'new':"41700",
+                   'returning':"25700",
+                  'description': 'Diploma in Geology'},
+           "DSLT": {'new':"41700",
+                    'returning':"25700",
+                   'description': 'Diploma in Science Laboratory Technology'},
+           "DICE": {'new':"43700",
+                    'returning':"27700",
+                   'description': 'Diploma in Computer Engineering'},
+           "DICHE": {'new':"43700",
+                     'returning':"27700",
+                    'description': 'Diploma in Chemical Engineering'},
+           "DDP": {'new':"43700",
+                   'returning':"27700",
+                  'description': 'Diploma in Data Processing'},
+           "DCG": {'new':"34200",
+                   'returning':"19700",
+                  'description': 'Diploma in Cartography'},
+           "DSW": {'new':"40200",
+                   'returning':"25700",
+                  'description': 'Diploma in Social Works'},
+           "DIL": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Diploma in Law'},
+           "DHT": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Diploma in Recreation, Hotel & Tourism Mgt.'},
+           "DEC": {'new':"36200",
+                   'returning':"21200",
+                  'description': 'Certificate in Early Child Health & Dev.'},
+           "DLS": {'new':"37200",
+                   'returning':"24200",
+                  'description': 'Diploma in Library & Information Science'},
+           "BFA": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Bachelor in Fine & Applied Arts'},
+           "BTA": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Bachelor in Theatre Arts'},
+           "BEL": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Bachelor in English'},
+           "BFR": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Bachelor in French'},
+           "BISD": {'new':"42200",
+                    'returning':"27700",
+                   'description': 'Bachelor in International Std. & Diplomacy'},
+           "BAE": {'new':"48700",
+                   'returning':"32700",
+                  'description': 'Bachelor in Agric Econs'},
+           "BAN": {'new':"43700",
+                   'returning':"27700",
+                  'description': 'Bachelor in Animal Science'},
+           "BAC": {'new':"43700",
+                   'returning':"27700",
+                  'description': 'Bachelor in Crop Science'},
+           "BAS": {'new':"43700",
+                   'returning':"27700",
+                  'description': 'Bachelor in Soil Science'},
+           "BIA": {'new':"47200",
+                   'returning':"32700",
+                  'description': 'Bachelor in Accounting'},
+           "BBF": {'new':"47200",
+                   'returning':"32700",
+                  'description': 'Bachelor in Banking & Finance'},
+           "BLG": {'new':"37200",
+                   'returning':"22700",
+                  'description': 'Bachelor in Local Goverment'},
+           "BPA": {'new':"47200",
+                   'returning':"32700",
+                  'description': 'Bachelor in Public Admin'},
+           "BSW": {'new':"42200",
+                   'returning':"27700",
+                  'description': 'Bachelor in  Social Works'},
+           "BES": {'new':"43700",
+                   'returning':"27700",
+                  'description': 'Bachelor in Environmental Science'},
+           "BSLT": {'new':"43700",
+                    'returning':"27700",
+                   'description': 'Bachelor in Science Lab Technology'},
+           "BIP": {'new':"43700",
+                   'returning':"27700",
+                  'description': 'Bachelor in Industrial Physics'},
+           "BSCS": {'new':"45700",
+                    'returning':"29700",
+                   'description': 'Bachelor in Statistics with Computer'},
+           "LLBPT": {'new':"47200",
+                     'returning':"32700",
+                    'description': 'Bachelor in Law'},
+           "ODPT": {'new':"58700",
+                    'returning':"42700",
+                   'description': 'Doctor of Optometry'},
+           "PHARMD": {'new':"58700",
+                      'returning':"44700",
+                     'description': 'Doctor of Pharmacy'},
+           "BEEL": {'new':"38700",
+                    'returning':"32700",
+                   'description': 'Bachelor in Electrical/Electronics'},
+           "BECE": {'new':"38700",
+                    'returning':"32700",
+                   'description': 'Bachelor in Chemical Engineering'},
+           "BECO": {'new':"38700",
+                    'returning':"32700",
+                   'description': 'Bachelor in Computer Engineering'},
+           "BPRE": {'new':"38700",
+                    'returning':"32700",
+                   'description': 'Bachelor in Production Engineering'},
+           "BEPE": {'new':"38700",
+                    'returning':"32700",
+                   'description': 'Bachelor in Petroleum Engineering'},
+           "BECV": {'new':"38700",
+                    'returning':"32700",
+                   'description': 'Bachelor in Civil Engineering'},
+          }
 #sessionstring = "School Fee for Session %s" % context.portal_vocabularies.sessions.get(session)
 # sessionstring = "School Fee for Session %s" % context.sessions_voc(key=session)
@@ -35,8 +184,16 @@
 #     return fee_1_data
 # return fee_2_data
-f = 1
-if faculty in fee1:
-    f = 0
-return (session_fees[session][f],
-        "School Fee for Session %s" % context.sessions_voc(key=session))
+d = {}
+if brain.mode.endswith('_ft'):
+    f = 1
+    if brain.faculty in fee1:
+        f = 0
+    d['new'] = session_fees[brain.session][f]
+    d['returning'] = session_fees[brain.session][f] 
+    d['description'] = "School Fee for Session %s" % context.sessions_voc(key=brain.session)
+if pt_fees.has_key(brain.course):
+    d = pt_fees[brain.course]
+    d['description'] = "School Fee for Session %s %s" % (context.sessions_voc(key=brain.session),
+                                                         d['description'])
+return d
 
Index: WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt	(revision 2135)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt	(revision 2151)
@@ -1,9 +1,11 @@
 <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main"
-                tal:define="info options/info">
-                
-        <h3>Confirm Your Payment Data! </h3>
-        <br />
-                
+  <metal:main fill-slot="main"
+              tal:define="info options/info">
+    <h3>Confirm Your Payment Data! </h3>
+    <br />
+    <span tal:condition="not: info/payment_possible">
+      No payment Information for your course available.
+    </span>
+    <span tal:condition="info/payment_possible">
       <form method="post" action="pay_interswitch">
         <table>
@@ -40,4 +42,5 @@
 
       </form>
+    </span>
     </metal:main>
 </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 2135)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 2151)
@@ -34,11 +34,25 @@
 
 sbrain = context.students_catalog(id=student_id)[0]
-amount,description = context.getSchoolFee(sbrain.faculty,sbrain.session)
+#amount,description = context.getSchoolFee(sbrain.faculty,sbrain.session,sbrain.course)
 info = {}
+info['student'] = sbrain
+info['payment_possible'] = False
+fee_dict = context.getSchoolFee(sbrain)
+if not fee_dict:
+    return context.interswitch_form(info=info)
+info['payment_possible'] = True
 info['site_id'] = '61'
 info['currency_id'] = '566'
-info['amount'] = amount
-info['type_code'] = sbrain.faculty
-info['type_description'] = description
+if sbrain.entry_session == context.getSessionId()[-2:]:
+    amount = info['amount'] = fee_dict['new']
+else:
+    amount = info['amount'] = fee_dict['returning']
+if sbrain.mode.endswith('_ft'):
+    pay_item_id = "6100"
+    info['type_code'] = sbrain.faculty
+else:
+    pay_item_id = "6101"
+    info['type_code'] = sbrain.course
+info['type_description'] = fee_dict['description']
 info['pay_bill_to'] = sbrain.name
 info['pay_ship_to'] = "University of Benin"
@@ -52,5 +66,4 @@
 p_id = "p%s" % order_id
 
-#from Products.zdb import set_trace;set_trace()
 if student_id is None:
     return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
@@ -132,5 +145,5 @@
 args['site_name'] = "uniben.waeup.org"
 args['cust_name_desc'] = "Student Name"
-args['pay_item_id'] = "6100"
+args['pay_item_id'] = pay_item_id
 args['pay_item_name'] = "UNIBEN Tuition Payments"
 args['payment_params'] = 'switch_college_split'
Index: WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 2135)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 2151)
@@ -7,7 +7,7 @@
     <span tal:condition="info" tal:omit-tag="">
       <span tal:define= " rows info/payments;
-      review_state context/getStudentReviewState;
-      is_student context/isStudent;
-      s_name context/getStudentNameInContext;"
+      review_state info/review_state;
+      is_student info/is_student;
+      s_name info/student_name;"
       >
         <a href=""
@@ -57,5 +57,5 @@
         <br />
         <div>
-          <form tal:condition="python:review_state == 'cleared_and_validated'" 
+          <form tal:condition="info/online_payment" 
                 tal:attributes="action string: ${context/absolute_url}/pay_interswitch" method="post" class="group">
             <input type="submit" name="epayment" 
@@ -64,5 +64,5 @@
                    />
           </form>  
-          <form tal:condition="python:review_state == 'returning'" 
+          <form tal:condition="not: info/online_payment" 
                 tal:attributes="action string: ${context/absolute_url}/pay_by_sc" method="post" class="group">
             <input type="hidden" name="paid_session" 