Index: /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 2152)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 2153)
@@ -52,9 +52,14 @@
 info['query_url'] = "https://webpay.interswitchng.com/paydirect/services/TransactionQueryURL.aspx"
 review_state = info['review_state'] = s_brain.review_state
-if s_brain.mode.endswith('_pt'):
+parttime = s_brain.mode.endswith('_pt')
+fulltime = s_brain.mode.endswith('_ft')
+online_payment = False
+sc_payment = False
+if parttime and review_state in ('cleared_and_validated','returning'):
     online_payment = True
-else:
-    online_payment = review_state == 'cleared_and_validated'
+elif fulltime and review_state == 'returning':
+    sc_payment = True
 info['online_payment'] = online_payment
+info['sc_payment'] = sc_payment
 session = s_brain.session
 info['next_session'], info['next_session_str'] = context.getNextSessionId(session)
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 2152)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 2153)
@@ -190,9 +190,9 @@
         f = 0
     d['new'] = session_fees[brain.session][f]
-    d['returning'] = session_fees[brain.session][f] 
+    d['returning'] = 'not set'
     d['description'] = "School Fee for Session %s" % context.sessions_voc(key=brain.session)
 if pt_fees.has_key(brain.course):
     d = pt_fees[brain.course]
-    d['description'] = "School Fee for Session %s %s" % (context.sessions_voc(key=brain.session),
+    d['description'] = "School Fee for Session %s, %s" % (context.sessions_voc(key=brain.session),
                                                          d['description'])
 return d
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt	(revision 2152)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt	(revision 2153)
@@ -5,5 +5,5 @@
     <br />
     <span tal:condition="not: info/payment_possible">
-      No payment Information for your course available.
+      No payment information for your course available.
     </span>
     <span tal:condition="info/payment_possible">
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py	(revision 2152)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py	(revision 2153)
@@ -36,5 +36,4 @@
 session = s_brain.session
 next_session, next_session_str = context.getNextSessionId(session)
-amount,description = context.getSchoolFee(s_brain.faculty,session)
 validate = request.has_key("cpsdocument_create_button")
 res,psm,ds = lt.renderLayout(layout_id= 'student_schoolfee',
@@ -87,5 +86,5 @@
 except:
     cost = "n/a"
-    
+
 if not hasattr(payments,p_id):
     now = DateTime.DateTime()
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 2152)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 2153)
@@ -39,14 +39,19 @@
 info['payment_possible'] = False
 fee_dict = context.getSchoolFee(sbrain)
-if not fee_dict:
+fulltime = sbrain.mode.endswith('_ft')
+#new =  sbrain.entry_session == context.getSessionId()[-2:]
+new = sbrain.review_state == 'cleared_and_validated'
+returning = sbrain.review_state == 'returning'
+if not fee_dict or (not new and fulltime) or not (new or returning):
     return context.interswitch_form(info=info)
-info['payment_possible'] = True
 info['site_id'] = '61'
 info['currency_id'] = '566'
-if sbrain.entry_session == context.getSessionId()[-2:]:
+if new:
     amount = info['amount'] = fee_dict['new']
+elif returning:
+    amount = info['amount'] = fee_dict['returning']
 else:
-    amount = info['amount'] = fee_dict['returning']
-if sbrain.mode.endswith('_ft'):
+    amount = info['amount'] = '0'
+if fulltime:
     pay_item_id = "6100"
     info['type_code'] = sbrain.faculty
@@ -54,4 +59,5 @@
     pay_item_id = "6101"
     info['type_code'] = sbrain.course
+info['payment_possible'] = True
 info['type_description'] = fee_dict['description']
 info['pay_bill_to'] = sbrain.name
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 2152)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 2153)
@@ -64,5 +64,5 @@
                    />
           </form>  
-          <form tal:condition="not: info/online_payment" 
+          <form tal:condition="info/sc_payment" 
                 tal:attributes="action string: ${context/absolute_url}/pay_by_sc" method="post" class="group">
             <input type="hidden" name="paid_session" 