Index: /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage.py	(revision 2156)
+++ /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage.py	(revision 2156)
@@ -0,0 +1,74 @@
+## Script (Python) "apply_pume"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=REQUEST
+##title=
+##
+# $Id$
+"""
+search for  Pume Applications
+"""
+
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+
+import DateTime
+import logging
+logger = logging.getLogger('Skins.apply_pume_manage')
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+
+current = DateTime.DateTime()
+pr = context.portal_registration
+request = REQUEST
+
+
+if not context.isStaff():
+    return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.absolete_url())
+#type_name = 'StudentApplication'
+#ti = context.portal_types[type_name]
+#REQUEST.set('type_name',type_name)
+reset = "reset" in request.keys()
+lt = context.portal_layouts
+reg_no = request.form.get('reg_no','')
+if same_type(reg_no, []):
+    if reset:
+        reg_no = reg_no[0]
+    elif reg_no[1]:
+        reg_no = reg_no[1]
+res = ''
+psm = ''
+object = {}
+data = {}
+if reset and reg_no:
+    data['reg_no'] = reg_no
+    psm = "You successfully reset!"
+    data['status'] = "edited"
+    context.applicants_catalog.modifyRecord(**data)
+    logger.info('%s reset application record of %s' % (member,reg_no))
+if reg_no:
+    brains = context.applicants_catalog(reg_no = reg_no)
+    if len(brains) == 1:
+        for field in context.applicants_catalog.schema():
+            object[field] = getattr(brains[0],field,None)
+        res,psm,ds = lt.renderLayout(layout_id= 'application',
+                                     schema_id= 'application',
+                                     layout_mode = "view",
+                                     context=context,
+                                     ob=object,
+                                     commit = False,
+                                    )
+    else:
+        psm = "reg no %s not found" % reg_no
+return context.apply_pume_manage_form(rendered = res,
+                                      psm = psm,
+                                      reg_no = reg_no,
+                                     )
+
+
Index: /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage_form.pt	(revision 2156)
+++ /WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage_form.pt	(revision 2156)
@@ -0,0 +1,45 @@
+<tal:block define="rendered_main options/rendered|nothing;
+           portal_status_message options/psm|nothing;
+           reg_no options/reg_no|nothing;
+           "
+           >	
+  <metal:block define-macro="edit_form">
+    <metal:block use-macro="here/main_template/macros/master">
+      <metal:block fill-slot="main">
+        <h3>Search for PUME Application Record</h3>
+        <br />     
+        <form action="" id="editForm" method="post" 
+              enctype="multipart/form-data" class="workflow"
+              tal:attributes="action string:${context/absolute_url}/apply_pume_manage"
+              >
+          <span tal:condition="not: rendered_main">
+            <div class="label">Registration No:</div>
+            <input type="text" name="reg_no" size="15"
+                   />
+            <input type="submit" class="standalone" 
+                   name="search"
+                   value="Search" 
+                   />
+          </span>
+          <span tal:condition="rendered_main">
+            <div tal:replace="structure rendered_main" />
+            <input type="hidden" name="reg_no"
+                   tal:attributes="value reg_no|nothing"
+                   />
+            <input type="submit" class="standalone" 
+                   name="reset"
+                   value="Reenable" 
+                   /><br />
+            <div class="label">Registration No:</div>
+            <input type="text" name="reg_no" size="15"
+                   />
+            <input type="submit" class="standalone" 
+                   name="search"
+                   value="Search next" 
+                   />
+          </span>
+        </form>
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>