Index: WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt	(revision 2156)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_pume_form.pt	(revision 2157)
@@ -55,5 +55,5 @@
           <p>Instructions :</p>
           <ul>
-            <li>Enter your JAMB Registration Number and the Application PIN above.</li> 
+            <li>Enter your JAMB Registration Number and the Application PIN.</li> 
             <li>Fill the form and upload your Passport Photograph with red background in jpg format.</li> 
             <li>Save and preview picture.
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage.py	(revision 2156)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage.py	(revision 2157)
@@ -32,4 +32,5 @@
 if not context.isStaff():
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.absolete_url())
+    
 #type_name = 'StudentApplication'
 #ti = context.portal_types[type_name]
@@ -37,10 +38,13 @@
 reset = "reset" in request.keys()
 lt = context.portal_layouts
-reg_no = request.form.get('reg_no','')
-if same_type(reg_no, []):
-    if reset:
-        reg_no = reg_no[0]
-    elif reg_no[1]:
-        reg_no = reg_no[1]
+
+reg_no = request.get('reg_no','')
+new_reg_no = request.get('new_reg_no','')
+
+if reset:
+    reg_no = reg_no
+elif new_reg_no:
+    reg_no = new_reg_no
+
 res = ''
 psm = ''
@@ -49,8 +53,12 @@
 if reset and reg_no:
     data['reg_no'] = reg_no
-    psm = "You successfully reset!"
+    psm = "You successfully reset the record! The applicant will be able to edit and resubmit the data."
     data['status'] = "edited"
     context.applicants_catalog.modifyRecord(**data)
     logger.info('%s reset application record of %s' % (member,reg_no))
+    
+#set_trace()  
+
+ds = []  
 if reg_no:
     brains = context.applicants_catalog(reg_no = reg_no)
@@ -58,7 +66,7 @@
         for field in context.applicants_catalog.schema():
             object[field] = getattr(brains[0],field,None)
-        res,psm,ds = lt.renderLayout(layout_id= 'application',
+        res,psm_dummy,ds = lt.renderLayout(layout_id= 'application',
                                      schema_id= 'application',
-                                     layout_mode = "view",
+                                     layout_mode = "view_slip",
                                      context=context,
                                      ob=object,
@@ -67,7 +75,9 @@
     else:
         psm = "reg no %s not found" % reg_no
+        
 return context.apply_pume_manage_form(rendered = res,
                                       psm = psm,
                                       reg_no = reg_no,
+                                      ds = ds
                                      )
 
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage_form.pt	(revision 2156)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_pume_manage_form.pt	(revision 2157)
@@ -2,16 +2,34 @@
            portal_status_message options/psm|nothing;
            reg_no options/reg_no|nothing;
+           ds options/ds|nothing;
            "
            >	
   <metal:block define-macro="edit_form">
     <metal:block use-macro="here/main_template/macros/master">
-      <metal:block fill-slot="main">
-        <h3>Search for PUME Application Record</h3>
-        <br />     
+      <metal:block fill-slot="main"
+                   tal:define="info_applicants context/getApplicantsStatistics">
+
         <form action="" id="editForm" method="post" 
               enctype="multipart/form-data" class="workflow"
               tal:attributes="action string:${context/absolute_url}/apply_pume_manage"
               >
+
           <span tal:condition="not: rendered_main">
+            <h3>Application Process</h3>
+            <br />
+            
+            <table>
+            <tr> 
+              <td>Number of records viewed:</td> 
+              <td><span tal:replace="info_applicants/pin_entered" /></td>  
+            </tr>
+            <tr> 
+              <td>Number of records submitted:</td> 
+              <td><span tal:replace="info_applicants/submitted" /></td>
+            </tr>
+            </table>            
+            
+            <br/>
+            
             <div class="label">Registration No:</div>
             <input type="text" name="reg_no" size="15"
@@ -22,6 +40,10 @@
                    />
           </span>
+
           <span tal:condition="rendered_main">
+            <h3>PUME Application Record <span tal:replace="reg_no"/></h3>
+            <br />
             <div tal:replace="structure rendered_main" />
+                        
             <input type="hidden" name="reg_no"
                    tal:attributes="value reg_no|nothing"
@@ -29,9 +51,13 @@
             <input type="submit" class="standalone" 
                    name="reset"
-                   value="Reenable" 
-                   /><br />
+                   value="Reset" 
+                   tal:condition="python: ds['status'] == 'submitted'"
+                   />
+            <br /><br />
+
+
             <div class="label">Registration No:</div>
-            <input type="text" name="reg_no" size="15"
-                   />
+            <input type="text" name="new_reg_no" size="15"
+                   /> &nbsp;
             <input type="submit" class="standalone" 
                    name="search"
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 2156)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 2157)
@@ -20,5 +20,5 @@
       <nobr><a href="statistics_simple_view">Basic Student Statistics</a>
       &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
-      <nobr><a href="statistics_applicants_view">Application Process</a>
+      <nobr><a href="apply_pume_manage">Application Process</a>
       &nbsp;&nbsp;&nbsp;&nbsp;</nobr>         
       <span tal:condition="is_so">
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_applicants_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_applicants_view.pt	(revision 2156)
+++ 	(revision )
@@ -1,31 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-  <metal:main fill-slot="main">
-  <metal:block tal:define="info_applicants context/getApplicantsStatistics;">       
-
-      <span tal:condition="not: info_applicants">
-        <span tal:content="here/illegal_view" />
-      </span>
-      <span tal:condition="info_applicants">
-  
-      <strong>
-      <nobr><a href="search_students">Search Students</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>        
-      </strong>     
-
-        <h3> Application Process</h3><br />
-        <table>
-        <tr> 
-          <td>Number of records viewed:</td> 
-          <td><span tal:replace="info_applicants/pin_entered" /></td>  
-        </tr>
-        <tr> 
-          <td>Number of records submitted:</td> 
-          <td><span tal:replace="info_applicants/submitted" /></td>
-        </tr>
-        </table>  
-
-      </span>
-  </metal:block>      
-  </metal:main>
-</metal:body>
-      