Index: /WAeUP_SRP/trunk/skins/waeup_epayment/goto_interswitch_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/goto_interswitch_form.pt	(revision 2170)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/goto_interswitch_form.pt	(revision 2171)
@@ -34,5 +34,5 @@
             Bank:
             </td>
-            <td>Wema Bank</td>
+            <td><span tal:content="info/bank" /></td>
           </tr>          
         </table>
Index: eUP_SRP/trunk/skins/waeup_epayment/goto_wema_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/goto_wema_form.pt	(revision 2170)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main"
-                tal:define="info options/info">
-                
-        <h3>Authorize Online Payment! </h3>
-        <br />
-                
-      <form method="post" action="pay_online"
-            tal:attributes="action info/action ">
-      <span tal:repeat="arg python:info['args'].items()"
-            tal:omit-tag="">
-          <input type="hidden" tal:attributes="name python:arg[0];value python:arg[1]" />
-      </span>          
-        <table>
-          <tr>
-            <td width="100px">
-            Payment:</td>
-            <td tal:content="info/type_description"></td>
-          </tr>
-          <tr>
-            <td>
-            Name:
-            </td>
-            <td tal:content="info/pay_bill_to" />
-          </tr>
-          <tr>
-            <td >
-            Amount:
-            </td>
-            <td> Naira <span tal:content="info/amount" /></td>
-          </tr>
-          <tr>
-            <td >
-            Bank:
-            </td>
-            <td>Wema Bank</td>
-          </tr>          
-        </table>
-        <br />
-        <input type="submit" 
-               class="standalone" 
-               name="goto_bank" 
-               value="Proceed to Bank" 
-               />
-      </form>
-    </metal:main>
-</metal:body>
-
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/goto_wema_form.pt_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/goto_wema_form.pt_not_used	(revision 2171)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/goto_wema_form.pt_not_used	(revision 2171)
@@ -0,0 +1,48 @@
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info options/info">
+                
+        <h3>Authorize Online Payment! </h3>
+        <br />
+                
+      <form method="post" action="pay_online"
+            tal:attributes="action info/action ">
+      <span tal:repeat="arg python:info['args'].items()"
+            tal:omit-tag="">
+          <input type="hidden" tal:attributes="name python:arg[0];value python:arg[1]" />
+      </span>          
+        <table>
+          <tr>
+            <td width="100px">
+            Payment:</td>
+            <td tal:content="info/type_description"></td>
+          </tr>
+          <tr>
+            <td>
+            Name:
+            </td>
+            <td tal:content="info/pay_bill_to" />
+          </tr>
+          <tr>
+            <td >
+            Amount:
+            </td>
+            <td> Naira <span tal:content="info/amount" /></td>
+          </tr>
+          <tr>
+            <td >
+            Bank:
+            </td>
+            <td>Wema Bank</td>
+          </tr>          
+        </table>
+        <br />
+        <input type="submit" 
+               class="standalone" 
+               name="goto_bank" 
+               value="Proceed to Bank" 
+               />
+      </form>
+    </metal:main>
+</metal:body>
+
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt	(revision 2170)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_form.pt	(revision 2171)
@@ -31,5 +31,5 @@
             Bank:
             </td>
-            <td>Wema Bank</td>
+            <td><span tal:content="info/bank" /></td>
           </tr>          
         </table>
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 2170)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_interswitch.py	(revision 2171)
@@ -38,4 +38,8 @@
 info['student'] = sbrain
 info['payment_possible'] = False
+info['amount'] = '0'
+info['bank'] = ''
+info['type_description'] = ''
+info['pay_bill_to'] = ''
 fee_dict = context.getSchoolFee(sbrain)
 fulltime = sbrain.mode.endswith('_ft')
@@ -51,12 +55,12 @@
 elif returning:
     amount = info['amount'] = fee_dict['returning']
-else:
-    amount = info['amount'] = '0'
 if fulltime:
     pay_item_id = "6100"
     info['type_code'] = sbrain.faculty
+    info['bank'] = 'Wema Bank'
 else:
     pay_item_id = "6101"
     info['type_code'] = sbrain.course
+    info['bank'] = 'Intercontinental Bank'
 info['payment_possible'] = True
 info['type_description'] = fee_dict['description']
Index: eUP_SRP/trunk/skins/waeup_epayment/wema_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 2170)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main"
-                tal:define="info options/info">
-                
-        <h3>Confirm Your Payment Data! </h3>
-        <br />
-                
-      <form method="post" action="pay_online">
-        <table>
-          <tr>
-            <td width="100px">
-            Payment:</td>
-            <td tal:content="info/type_description"></td>
-          </tr>
-          <tr>
-            <td>
-            Name:
-            </td>
-            <td tal:content="info/pay_bill_to" />
-          </tr>
-          <tr>
-            <td >
-            Amount:
-            </td>
-            <td> Naira <span tal:content="info/amount" /></td>
-          </tr>
-          <tr>
-            <td >
-            Bank:
-            </td>
-            <td>Wema Bank</td>
-          </tr>          
-        </table>
-        <br />
-        <input type="submit" 
-               class="standalone" 
-               name="goto_bank" 
-               value="Confirm" 
-               />
-
-      </form>
-    </metal:main>
-</metal:body>
-
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt_not_used	(revision 2171)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt_not_used	(revision 2171)
@@ -0,0 +1,44 @@
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info options/info">
+                
+        <h3>Confirm Your Payment Data! </h3>
+        <br />
+                
+      <form method="post" action="pay_online">
+        <table>
+          <tr>
+            <td width="100px">
+            Payment:</td>
+            <td tal:content="info/type_description"></td>
+          </tr>
+          <tr>
+            <td>
+            Name:
+            </td>
+            <td tal:content="info/pay_bill_to" />
+          </tr>
+          <tr>
+            <td >
+            Amount:
+            </td>
+            <td> Naira <span tal:content="info/amount" /></td>
+          </tr>
+          <tr>
+            <td >
+            Bank:
+            </td>
+            <td>Wema Bank</td>
+          </tr>          
+        </table>
+        <br />
+        <input type="submit" 
+               class="standalone" 
+               name="goto_bank" 
+               value="Confirm" 
+               />
+
+      </form>
+    </metal:main>
+</metal:body>
+