Index: /WAeUP_SRP/trunk/doc/Meeting_Gocept.mm
===================================================================
--- /WAeUP_SRP/trunk/doc/Meeting_Gocept.mm	(revision 2173)
+++ /WAeUP_SRP/trunk/doc/Meeting_Gocept.mm	(revision 2173)
@@ -0,0 +1,95 @@
+<map version="0.9.0_Beta_8" background_color="#ffffff">
+<!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
+<node CREATED="1188559059964" ID="Freemind_Link_299977877" MODIFIED="1188559085449" TEXT="Meeting Gocept">
+<node CREATED="1188559230584" FOLDED="true" ID="Freemind_Link_1185236607" MODIFIED="1188559241426" POSITION="right" TEXT="Wer sind wir">
+<node CREATED="1188559269430" ID="Freemind_Link_884814859" MODIFIED="1188559290352" TEXT="Dr. Henrik Bettermann"/>
+<node CREATED="1188559291108" ID="Freemind_Link_748935016" MODIFIED="1188559303662" TEXT="Joachim Schmitz"/>
+<node CREATED="1188559304552" ID="Freemind_Link_903744732" MODIFIED="1188559349604" TEXT="Uli Fouquet"/>
+</node>
+<node CREATED="1188559258214" FOLDED="true" ID="Freemind_Link_166137380" MODIFIED="1188559263868" POSITION="right" TEXT="Partner">
+<node CREATED="1188559309275" ID="Freemind_Link_1634954429" MODIFIED="1188559401765" TEXT="Nigeria">
+<node CREATED="1188559403438" ID="Freemind_Link_529490766" MODIFIED="1188559414415" TEXT="BT Limited">
+<node CREATED="1188559760954" ID="Freemind_Link_1438626974" MODIFIED="1188559769208" TEXT="Hector Etomi"/>
+</node>
+<node CREATED="1188559415169" ID="Freemind_Link_1774528896" MODIFIED="1188559427471" TEXT="University of Benin"/>
+<node CREATED="1188559428224" ID="Freemind_Link_1714349761" MODIFIED="1188559428224" TEXT=""/>
+</node>
+<node CREATED="1188559435064" ID="Freemind_Link_322105899" MODIFIED="1188559721516" TEXT="Ghana">
+<node CREATED="1188559734058" ID="Freemind_Link_779542952" MODIFIED="1188559741611" TEXT="NetPlux"/>
+</node>
+<node CREATED="1188559726798" ID="Freemind_Link_1225581430" MODIFIED="1188559726798" TEXT=""/>
+</node>
+<node CREATED="1188562712452" ID="Freemind_Link_1972176569" MODIFIED="1188562731790" POSITION="right" TEXT="Kommerzielles">
+<node CREATED="1188562805615" ID="Freemind_Link_228180734" MODIFIED="1188562865154" TEXT="Status">
+<node CREATED="1188563021302" ID="Freemind_Link_284218103" MODIFIED="1188563036739" TEXT="Aktive Universit&#xe4;ten"/>
+<node CREATED="1188562740259" ID="Freemind_Link_825191227" MODIFIED="1188562929503" TEXT="Aufwand bis heute"/>
+<node CREATED="1188562778676" ID="Freemind_Link_586821424" MODIFIED="1188562943653" TEXT="Einkommen bis heute"/>
+</node>
+<node CREATED="1188562959993" ID="Freemind_Link_1238623424" MODIFIED="1188562999975" TEXT="n&#xe4;chstes Studienjahr"/>
+<node CREATED="1188563000907" ID="Freemind_Link_1334301789" MODIFIED="1188563000907" TEXT=""/>
+</node>
+<node CREATED="1188559137011" ID="_" MODIFIED="1188562371344" POSITION="right" TEXT="WAeUP_SRP">
+<node CREATED="1188559180815" ID="Freemind_Link_938044106" MODIFIED="1188564548912" TEXT="Installationen">
+<node CREATED="1188562448060" ID="Freemind_Link_1627382436" MODIFIED="1188564511154" TEXT="Universit&#xe4;t Benin">
+<node CREATED="1188564556610" ID="Freemind_Link_135268073" MODIFIED="1188564592076" TEXT="50000 aktive Studenten"/>
+<node CREATED="1188564593192" ID="Freemind_Link_773677924" MODIFIED="1188564625526" TEXT="30000 Anmeldungen zur Aufnahmepr&#xfc;fung"/>
+</node>
+<node CREATED="1188562533731" ID="Freemind_Link_559259129" MODIFIED="1188562533731" TEXT=""/>
+</node>
+<node CREATED="1188562586328" ID="Freemind_Link_1864740409" MODIFIED="1188563134281" TEXT="Beschreibung">
+<node CREATED="1188562665023" ID="Freemind_Link_1279633507" MODIFIED="1188563161180" TEXT="Es ist kein">
+<node CREATED="1188563162897" ID="Freemind_Link_221209540" MODIFIED="1188563183510" TEXT="Content Management Sytem"/>
+<node CREATED="1188563184808" ID="Freemind_Link_272616222" MODIFIED="1188563195973" TEXT="E-Learning Portal"/>
+<node CREATED="1188563196957" ID="Freemind_Link_975275607" MODIFIED="1188563219013" TEXT="Community Portal"/>
+<node CREATED="1188563219902" ID="Freemind_Link_1092612836" MODIFIED="1188563219902" TEXT=""/>
+</node>
+<node CREATED="1188563232409" ID="Freemind_Link_1222798188" MODIFIED="1188563237904" TEXT="sondern">
+<node CREATED="1188563239077" ID="Freemind_Link_1844353336" MODIFIED="1188563258070" TEXT="Studenten Registrierungssystem">
+<node CREATED="1188580273096" ID="Freemind_Link_562541511" MODIFIED="1188580347378" TEXT="ca 30000 Anmeldungen zur Zulassungspr&#xfc;fung in 14 Tagen"/>
+<node CREATED="1188580292275" ID="Freemind_Link_1060558927" MODIFIED="1188580292275" TEXT=""/>
+</node>
+<node CREATED="1188563259231" ID="Freemind_Link_1887920862" MODIFIED="1188563280653" TEXT="Studenten Verwaltungssystem">
+<node CREATED="1188563765445" ID="Freemind_Link_1833028898" MODIFIED="1188563775024" TEXT="R&#xfc;ckmeldung"/>
+<node CREATED="1188563776141" ID="Freemind_Link_787724834" MODIFIED="1188563791956" TEXT="Bezahlung von Studiengeb&#xfc;hren"/>
+<node CREATED="1188563792936" ID="Freemind_Link_1941289847" MODIFIED="1188563824509" TEXT="Kursregistrierung">
+<node CREATED="1188580456437" ID="Freemind_Link_1982724676" MODIFIED="1188580540056" TEXT="pro Student werden ca. 15 Objekte angelegt."/>
+<node CREATED="1188580541216" ID="Freemind_Link_286863151" MODIFIED="1188580573072" TEXT="Zeitraum ca. 2 Monate"/>
+</node>
+</node>
+</node>
+<node CREATED="1188563307929" ID="Freemind_Link_1497297429" MODIFIED="1188563722641" TEXT="das heisst">
+<node CREATED="1188563331279" ID="Freemind_Link_658225317" MODIFIED="1188563515506" TEXT="auf sehr viele Objekte (Studenten)"/>
+<node CREATED="1188563518072" ID="Freemind_Link_1961307271" MODIFIED="1188563549140" TEXT="greifen wenige Benutzer">
+<node CREATED="1188563551578" ID="Freemind_Link_1705135114" MODIFIED="1188563561650" TEXT="der Student"/>
+<node CREATED="1188563564037" ID="Freemind_Link_453887794" MODIFIED="1188563596707" TEXT="einige Administratoren"/>
+</node>
+</node>
+</node>
+<node CREATED="1188563886430" ID="Freemind_Link_349684135" MODIFIED="1188563922321" TEXT="Software Stuktur">
+<node CREATED="1188563904717" ID="Freemind_Link_1763206866" MODIFIED="1188563946178" TEXT="Basierend auf CPS-3.4.2">
+<node CREATED="1188564066631" ID="Freemind_Link_582764515" MODIFIED="1188580035552" TEXT="wichtige Features">
+<node CREATED="1188580043821" ID="Freemind_Link_36426106" MODIFIED="1188580057960" TEXT="TTW editing"/>
+<node CREATED="1188564103177" ID="Freemind_Link_1738102231" MODIFIED="1188564112801" TEXT="CPSSchemas"/>
+<node CREATED="1188564114101" ID="Freemind_Link_905983956" MODIFIED="1188564122708" TEXT="CPSLayouts"/>
+</node>
+<node CREATED="1188564324052" ID="Freemind_Link_731172111" MODIFIED="1188564347889" TEXT="nicht benutzte Features">
+<node CREATED="1188564349558" ID="Freemind_Link_680369307" MODIFIED="1188564457968" TEXT="Versionsverwaltung"/>
+</node>
+</node>
+<node CREATED="1188563950286" ID="Freemind_Link_800271338" MODIFIED="1188564003371" TEXT="Erweiterungen">
+<node CREATED="1188564009711" ID="Freemind_Link_143710823" MODIFIED="1188564021416" TEXT="WAeUPTables"/>
+<node CREATED="1188564044457" ID="Freemind_Link_1379107359" MODIFIED="1188564052594" TEXT="Dymanic Roles"/>
+<node CREATED="1188564275703" ID="Freemind_Link_352935719" MODIFIED="1188564284759" TEXT="Diverse Widgets"/>
+</node>
+</node>
+<node CREATED="1188580101550" ID="Freemind_Link_571537463" MODIFIED="1188580118355" TEXT="Hard/Software Setup">
+<node CREATED="1188580121745" ID="Freemind_Link_1951912029" MODIFIED="1188580175071" TEXT="ZEO setup"/>
+</node>
+<node CREATED="1188580355739" ID="Freemind_Link_81928334" MODIFIED="1188580368894" TEXT="Probleme">
+<node CREATED="1188580371422" ID="Freemind_Link_1523407361" MODIFIED="1188580387030" TEXT="Objektzugriff zu langsam"/>
+<node CREATED="1188580388645" ID="Freemind_Link_308496028" MODIFIED="1188580388645" TEXT=""/>
+</node>
+</node>
+<node CREATED="1188559218853" ID="Freemind_Link_1065658590" MODIFIED="1188559218853" POSITION="left" TEXT=""/>
+</node>
+</map>