Index: WAeUP_SRP/trunk/doc/Meeting_Gocept.mm
===================================================================
--- WAeUP_SRP/trunk/doc/Meeting_Gocept.mm	(revision 2175)
+++ WAeUP_SRP/trunk/doc/Meeting_Gocept.mm	(revision 2177)
@@ -1,3 +1,3 @@
-<map version="0.8.0">
+<map version="0.9.0_Beta_8">
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
 <node CREATED="1188559059964" ID="Freemind_Link_299977877" MODIFIED="1188559085449" TEXT="Meeting Gocept">
@@ -22,10 +22,52 @@
 <node CREATED="1188562712452" ID="Freemind_Link_1972176569" MODIFIED="1188562731790" POSITION="right" TEXT="Kommerzielles">
 <node CREATED="1188562805615" ID="Freemind_Link_228180734" MODIFIED="1188562865154" TEXT="Status">
-<node CREATED="1188563021302" ID="Freemind_Link_284218103" MODIFIED="1188563036739" TEXT="Aktive Universit&#xe4;ten"/>
-<node CREATED="1188562740259" ID="Freemind_Link_825191227" MODIFIED="1188562929503" TEXT="Aufwand bis heute"/>
-<node CREATED="1188562778676" ID="Freemind_Link_586821424" MODIFIED="1188562943653" TEXT="Einkommen bis heute"/>
+<node CREATED="1188563021302" ID="Freemind_Link_284218103" MODIFIED="1188563036739" TEXT="Aktive Universit&#xe4;ten">
+<node CREATED="1188828579823" ID="Freemind_Link_594170772" MODIFIED="1188828596069" TEXT="Universit&#xe4;t Benin"/>
 </node>
-<node CREATED="1188562959993" ID="Freemind_Link_1238623424" MODIFIED="1188562999975" TEXT="n&#xe4;chstes Studienjahr"/>
-<node CREATED="1188563000907" ID="Freemind_Link_1334301789" MODIFIED="1188563000907" TEXT=""/>
+<node CREATED="1188562740259" ID="Freemind_Link_825191227" MODIFIED="1188562929503" TEXT="Aufwand bis heute">
+<node CREATED="1188828602589" FOLDED="true" ID="Freemind_Link_238981980" MODIFIED="1188828787993" TEXT="2005">
+<node CREATED="1188828689973" ID="Freemind_Link_331061731" MODIFIED="1188828701447" TEXT="Henrik 3 MM"/>
+<node CREATED="1188828702292" ID="Freemind_Link_532411826" MODIFIED="1188828715622" TEXT="Joachim 3 MM"/>
+<node CREATED="1188828716695" ID="Freemind_Link_1384972157" MODIFIED="1188828749605" TEXT="rest der WAeUP Group 1 MM"/>
+<node CREATED="1188836665984" ID="Freemind_Link_785163390" MODIFIED="1188836682871" TEXT="Reisekosten 2000 &#x20ac;"/>
+</node>
+<node CREATED="1188828757154" FOLDED="true" ID="Freemind_Link_1920154866" MODIFIED="1188828794470" TEXT="2006">
+<node CREATED="1188828798040" ID="Freemind_Link_1417838347" MODIFIED="1188828820966" TEXT="Henrik 7 MM"/>
+<node CREATED="1188828821767" ID="Freemind_Link_5745851" MODIFIED="1188828829898" TEXT="Joachim 7 MM"/>
+<node CREATED="1188828833010" ID="Freemind_Link_1759026779" MODIFIED="1188828840430" TEXT="Uli 1 MM"/>
+<node CREATED="1188836335516" ID="Freemind_Link_1407257541" MODIFIED="1188836378417" TEXT="alte WAeUP Gruppe ca. 5000 &#x20ac;"/>
+<node CREATED="1188836510123" ID="Freemind_Link_591323323" MODIFIED="1188836542317" TEXT="Reisekosten 3000 &#x20ac;"/>
+<node CREATED="1188836155748" ID="Freemind_Link_1554925554" MODIFIED="1188836177421" TEXT="Nuxeo 3000 &#x20ac;"/>
+</node>
+<node CREATED="1188828862217" FOLDED="true" ID="Freemind_Link_1640766158" MODIFIED="1188828871616" TEXT="2007">
+<node CREATED="1188828872964" ID="Freemind_Link_571430273" MODIFIED="1188828893026" TEXT="Henrik 6 MM"/>
+<node CREATED="1188828893915" ID="Freemind_Link_770598320" MODIFIED="1188828904498" TEXT="Joachim 6 MM"/>
+<node CREATED="1188828905591" ID="Freemind_Link_1221689245" MODIFIED="1188828918827" TEXT="Uli 1 MM"/>
+<node CREATED="1188836240152" ID="Freemind_Link_891759765" MODIFIED="1188836422530" TEXT="Lennart Regebro 2500 &#x20ac;"/>
+<node CREATED="1188836429263" ID="Freemind_Link_528468210" MODIFIED="1188836474994" TEXT="Reisekosten ca. 5000 &#x20ac;"/>
+</node>
+</node>
+<node CREATED="1188562778676" FOLDED="true" ID="Freemind_Link_586821424" MODIFIED="1188562943653" TEXT="Einkommen bis heute">
+<node CREATED="1188836688287" ID="Freemind_Link_1506604961" MODIFIED="1188836740651" TEXT="2005 2000 &#x20ac; Erstattung der Reisekosten"/>
+<node CREATED="1188836031613" ID="Freemind_Link_399187357" MODIFIED="1188836043940" TEXT="2006">
+<node CREATED="1188836048965" ID="Freemind_Link_1622052920" MODIFIED="1188836580360" TEXT="01 12000 &#x20ac;"/>
+<node CREATED="1188836090763" ID="Freemind_Link_1079772535" MODIFIED="1188836636929" TEXT="12 10000 &#x20ac;"/>
+</node>
+<node CREATED="1188836592228" ID="Freemind_Link_1183633245" MODIFIED="1188836598894" TEXT="2007">
+<node CREATED="1188836608535" ID="Freemind_Link_149979247" MODIFIED="1188836628471" TEXT="04 10000 &#x20ac;"/>
+</node>
+</node>
+</node>
+<node CREATED="1188562959993" ID="Freemind_Link_1238623424" MODIFIED="1188837046769" TEXT="Aussichten">
+<node CREATED="1188837049071" ID="Freemind_Link_362540821" MODIFIED="1188838007099" TEXT="Beteiligung an den Einnahmen:&#xa;ca: 300 N pro Geb&#xfc;hr gelten als Bezahlgeb&#xfc;hr.">
+<node CREATED="1188837089621" ID="Freemind_Link_742773741" MODIFIED="1188837135013" TEXT="Anmeldung zur Zulassung 1000 N"/>
+<node CREATED="1188837137983" ID="Freemind_Link_1289981138" MODIFIED="1188837341604" TEXT="Einschreibegeb&#xfc;hr (Clearance) 10000 N"/>
+<node CREATED="1188837350237" ID="Freemind_Link_1044896800" MODIFIED="1188837474393" TEXT="Schoolfee von 30000 N - 43000 N "/>
+</node>
+<node CREATED="1188837601578" ID="Freemind_Link_1277664216" MODIFIED="1188837615376" TEXT="Weitere Universit&#xe4;ten">
+<node CREATED="1188837617181" ID="Freemind_Link_1941154386" MODIFIED="1188837805645" TEXT="Illorin ca 30000 (unsicher)"/>
+<node CREATED="1188837668983" ID="Freemind_Link_1168732958" MODIFIED="1188837789323" TEXT="College of Okene &lt; 10000 (sicher)"/>
+</node>
+</node>
 </node>
 <node CREATED="1188559137011" ID="_" MODIFIED="1188562371344" POSITION="right" TEXT="WAeUP_SRP">
@@ -35,5 +77,4 @@
 <node CREATED="1188564593192" ID="Freemind_Link_773677924" MODIFIED="1188564625526" TEXT="30000 Anmeldungen zur Aufnahmepr&#xfc;fung"/>
 </node>
-<node CREATED="1188562533731" ID="Freemind_Link_559259129" MODIFIED="1188562533731" TEXT=""/>
 </node>
 <node CREATED="1188562586328" ID="Freemind_Link_1864740409" MODIFIED="1188563134281" TEXT="Beschreibung">
@@ -42,14 +83,16 @@
 <node CREATED="1188563184808" ID="Freemind_Link_272616222" MODIFIED="1188563195973" TEXT="E-Learning Portal"/>
 <node CREATED="1188563196957" ID="Freemind_Link_975275607" MODIFIED="1188563219013" TEXT="Community Portal"/>
-<node CREATED="1188563219902" ID="Freemind_Link_1092612836" MODIFIED="1188563219902" TEXT=""/>
 </node>
 <node CREATED="1188563232409" ID="Freemind_Link_1222798188" MODIFIED="1188563237904" TEXT="sondern">
 <node CREATED="1188563239077" ID="Freemind_Link_1844353336" MODIFIED="1188563258070" TEXT="Studenten Registrierungssystem">
 <node CREATED="1188580273096" ID="Freemind_Link_562541511" MODIFIED="1188580347378" TEXT="ca 30000 Anmeldungen zur Zulassungspr&#xfc;fung in 14 Tagen"/>
-<node CREATED="1188580292275" ID="Freemind_Link_1060558927" MODIFIED="1188580292275" TEXT=""/>
+<node CREATED="1188580292275" ID="Freemind_Link_1060558927" MODIFIED="1188836805167" TEXT="ca. 8000 neue Studenten pro Jahr"/>
 </node>
 <node CREATED="1188563259231" ID="Freemind_Link_1887920862" MODIFIED="1188563280653" TEXT="Studenten Verwaltungssystem">
 <node CREATED="1188563765445" ID="Freemind_Link_1833028898" MODIFIED="1188563775024" TEXT="R&#xfc;ckmeldung"/>
-<node CREATED="1188563776141" ID="Freemind_Link_787724834" MODIFIED="1188563791956" TEXT="Bezahlung von Studiengeb&#xfc;hren"/>
+<node CREATED="1188563776141" ID="Freemind_Link_787724834" MODIFIED="1188563791956" TEXT="Bezahlung von Studiengeb&#xfc;hren">
+<node CREATED="1188836829705" ID="Freemind_Link_1903737777" MODIFIED="1188836848599" TEXT="Scratch Card Payments"/>
+<node CREATED="1188836849308" ID="Freemind_Link_1901058536" MODIFIED="1188836864718" TEXT="Online Payment"/>
+</node>
 <node CREATED="1188563792936" ID="Freemind_Link_1941289847" MODIFIED="1188563824509" TEXT="Kursregistrierung">
 <node CREATED="1188580456437" ID="Freemind_Link_1982724676" MODIFIED="1188580540056" TEXT="pro Student werden ca. 15 Objekte angelegt."/>
@@ -60,5 +103,5 @@
 <node CREATED="1188563307929" ID="Freemind_Link_1497297429" MODIFIED="1188563722641" TEXT="das heisst">
 <node CREATED="1188563331279" ID="Freemind_Link_658225317" MODIFIED="1188563515506" TEXT="auf sehr viele Objekte (Studenten)"/>
-<node CREATED="1188563518072" ID="Freemind_Link_1961307271" MODIFIED="1188563549140" TEXT="greifen wenige Benutzer">
+<node CREATED="1188563518072" ID="Freemind_Link_1961307271" MODIFIED="1188838088650" TEXT="greifen wenige Benutzer, &#xa;sehr selten gleichzeitig zu.">
 <node CREATED="1188563551578" ID="Freemind_Link_1705135114" MODIFIED="1188563561650" TEXT="der Student"/>
 <node CREATED="1188563564037" ID="Freemind_Link_453887794" MODIFIED="1188563596707" TEXT="einige Administratoren"/>
@@ -72,7 +115,10 @@
 <node CREATED="1188564103177" ID="Freemind_Link_1738102231" MODIFIED="1188564112801" TEXT="CPSSchemas"/>
 <node CREATED="1188564114101" ID="Freemind_Link_905983956" MODIFIED="1188564122708" TEXT="CPSLayouts"/>
+<node CREATED="1188836924976" ID="Freemind_Link_301747582" MODIFIED="1188836932368" TEXT="CPS Groups"/>
+<node CREATED="1188838159828" ID="Freemind_Link_1414183250" MODIFIED="1188838170906" TEXT="Generic setup"/>
 </node>
 <node CREATED="1188564324052" ID="Freemind_Link_731172111" MODIFIED="1188564347889" TEXT="nicht benutzte Features">
 <node CREATED="1188564349558" ID="Freemind_Link_680369307" MODIFIED="1188564457968" TEXT="Versionsverwaltung"/>
+<node CREATED="1188836947023" ID="Freemind_Link_805759687" MODIFIED="1188838138149" TEXT="Flexible Documents"/>
 </node>
 </node>
@@ -91,4 +137,5 @@
 <node CREATED="1188808176994" ID="Freemind_Link_1725815162" MODIFIED="1188808180619" TEXT="unstetiger Speicherverbrauch auf waeupclient"/>
 <node CREATED="1188643680583" ID="Freemind_Link_1573328978" MODIFIED="1188643861163" TEXT="conflict errors beim Zugriff auf portal_catalog"/>
+<node CREATED="1188828994311" ID="Freemind_Link_543196208" MODIFIED="1188829024690" TEXT="Deployment neuer Universit&#xe4;ten"/>
 </node>
 </node>