Index: /WAeUP_SRP/trunk/Academics.py
===================================================================
--- /WAeUP_SRP/trunk/Academics.py	(revision 2189)
+++ /WAeUP_SRP/trunk/Academics.py	(revision 2190)
@@ -215,8 +215,8 @@
         not_imported.append(heading)
         #no_import.write('%s\n' % heading)
-        l = self.portal_catalog({'meta_type': "Faculty"})
-        facs = {}
-        for f in l:
-            facs[f.id] = f.getObject()
+        #l = self.portal_catalog({'meta_type': "Faculty"})
+        #facs = {}
+        #for f in l:
+        #    facs[f.id] = f.getObject()
         dl = self.portal_catalog({'meta_type': "Department"})
         deps = {}
@@ -254,15 +254,15 @@
             cf = dept.courses
             c = getattr(cf,course_id,None)
-            cd_fields = (('code','code'),
-                         ('faculty','faculty_code'),
-                         ('department','department_code'),
-                         ('title','title'),
-                         ('credits','credits'),
-                         ('level','level'),
-                         ('semester','semester'),
-                         )
-            cd = {}
-            for t,f in cd_fields:
-                cd[t] = course[f]
+            #cd_fields = (('code','code'),
+            #             ('faculty','faculty_code'),
+            #             ('department','department_code'),
+            #             ('title','title'),
+            #             ('credits','credits'),
+            #             ('level','level'),
+            #             ('semester','semester'),
+            #             )
+            #cd = {}
+            #for t,f in cd_fields:
+            #    cd[t] = course[f]
             #import pdb;pdb.set_trace()
             if c is None:
@@ -272,7 +272,7 @@
                 imported.append(format % course)
                 c = getattr(cf,course_id)
-                self.courses_catalog.addRecord(**cd)
-            else:
-                self.courses_catalog.modifyRecord(**cd)
+                #self.courses_catalog.addRecord(**cd)
+            #else:
+            #    self.courses_catalog.modifyRecord(**cd)
             c.getContent().edit(mapping=course)
             review_state = course.get('review_state')
@@ -447,10 +447,10 @@
             logger.info('Creating CertificateCourse %(code)s in Certificate %(certificate_code)s StudyLevel %(level)s' % cert_course)
             cc = getattr(l,course_code)
-            semester = 'first'
-            try:
-                sem = int(cert_course.get('semester'))
-                cert_course['semester'] = ('first','second')[sem - 1]
-            except:
-                pass
+            #semester = 'first'
+            #try:
+            #    sem = int(cert_course.get('semester'))
+            #    cert_course['semester'] = ('first','second')[sem - 1]
+            #except:
+            #    pass
             cert_course['core_or_elective'] = cert_course['core_or_elective'] in ("TRUE","True")
             cc.getContent().edit(mapping=cert_course)
Index: /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml	(revision 2189)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml	(revision 2190)
@@ -23,43 +23,4 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="admin_status" meta_type="String Widget">
-  <property name="title">Admin Status</property>
-  <property name="fields">
-   <element value="admin_status"/>
-  </property>
-  <property name="label">Admin Status</property>
-  <property name="label_edit">Admin Status</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="certificate_code" meta_type="String Widget">
-  <property name="title">Certificate code</property>
-  <property name="fields">
-   <element value="certificate_code"/>
-  </property>
-  <property name="label">Certificate Code</property>
-  <property name="label_edit">Certificate Code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="edit"/>
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="certificate_code_org" meta_type="String Widget">
-  <property name="title">Certificate original code</property>
-  <property name="fields">
-   <element value="certificate_code_org"/>
-  </property>
-  <property name="label">Certificate original code</property>
-  <property name="label_edit">Certificate original code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="edit"/>
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="code" meta_type="CertificateCourseId Widget">
   <property name="title">Course Code</property>
@@ -77,17 +38,4 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="code_neu" meta_type="ExtendedSelect Widget">
-  <property name="title">Course Code</property>
-  <property name="fields">
-   <element value="code"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Course Code</property>
-  <property name="label_edit">Course Code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">courses_voc</property>
- </widget>
  <widget name="core_or_elective" meta_type="Boolean Widget">
   <property name="title">Core or Elective</property>
@@ -103,22 +51,7 @@
   <property name="label_true">core</property>
  </widget>
- <widget name="semester" meta_type="Select Widget">
-  <property name="title">Semester</property>
-  <property name="fields">
-   <element value="semester"/>
-  </property>
-  <property name="label">Semester</property>
-  <property name="label_edit">Semester</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">semester_voc</property>
- </widget>
  <table>
   <row>
    <cell name="Title"/>
-  </row>
-  <row>
-   <cell name="semester"/>
   </row>
   <row>